#!/bin/csh

if ( ! $#argv ) then
	exit
endif

# volsize used %used %partition
set _HPX_LEFT=`/usr/bin/expr $1 - $2`
if ( $_HPX_LEFT <= 500 ) then
	hpx_echo "W: Your home directory has only ${_HPX_LEFT}KB left."
	hpx_echo "W: This may cause problems, especially when"
	hpx_echo "W: logging in.  Please remove unwanted files"
	hpx_echo "W: or ask your Group Administrator to increase"
	hpx_echo "W: your quota."
	exit
endif
if ( $3 >= 95 ) then
	hpx_echo "W: Your home directory is ${3}% full.  This may"
	hpx_echo "W: cause problems, especially when logging in."
	hpx_echo "W: Please remove unwanted files, or ask your"
	hpx_echo "W: Group Administrator to increase your quota."
	exit
endif
unset _HPX_LEFT

# End of file.
